<?php include('classes.php'); 

$manager->edition();

?>

<!DOCTYPE html>
<html>
    <head>
        <title>Edition d'un chant</title>
		<meta charset="utf-8" />
		<link rel="stylesheet" href="prog/styles.css" type="text/css" />
		<link rel="icon" type="image/png" href="img/e-icone.png" />
    </head>
	
    <body id="edition">
		
		<?php //print_r_pre($_POST, "POST");
		//print_r_pre($_FILES, "FILES");
		echo $contenu; ?>
		
		<div id="editeur-numero"><?php if (isset($numero)) echo $numero; ?></div>
    
		<script type="text/javascript" src="prog/jquery-1.11.2.js"></script>
		<script type="text/javascript">
		$(window).ready(function() {
			
			//Présaisie du code
			if ($('#edit_code').val() == "") {
				$('#edit_code').val($('#code', window.opener.document).val());
			}
			
			//Sélection d'une image
			$('#edit_images li').click(function(){
				if (!$(this).hasClass('selection') && !$(this).hasClass('disabled')) {
					$('#edit_images li').addClass('disabled');
					$(this).attr('class', 'selection');
					$('#edit_image').val($(this).attr('title'));
				}
				else if($(this).hasClass('selection')) {
					$('#edit_images li').attr('class', '');
					$('#edit_image').val('');
				}
			});
			
			//Présélection de l'image
			if ($('#edit_image').val()) {
				image = $('#edit_images li[title="' + $('#edit_image').val() + '"]').trigger('click');
				if (image.length)
					image.parent().scrollTop(image.position().top);
			}
			
			//Découpe de l'image
			if ($('#image_decouper img').length) {
				image = new Image();	//Préchargement de l'image pour consulter ses attributs
				image.src = $('#image_decouper img').attr('src');
				image.onload = function() {
					width = image.width;
					height = image.height;
					if (width == 1024) $('#image_decouper').addClass('vertical');
					if (height == 768) $('#image_decouper').addClass('horizontal');
				}
			}
			$('#image_decouper').on('mousedown', function(event){
				imgX0 = $(this).children('img').position().left;
				pageX0 = event.pageX;
				imgY0 = $(this).children('img').position().top;
				pageY0 = event.pageY;
			})
			.on('dragstart', function(event) {event.preventDefault();})
			.mousemove(function(event){
				if (event.buttons == 1) {
					event.preventDefault();
					if ($(this).hasClass('horizontal'))
						$(this).children('img').css('left', Math.min(Math.max(imgX0 + event.pageX - pageX0, $(this).width() - $(this).children('img').width()), 0));
					if ($(this).hasClass('vertical'))
						$(this).children('img').css('top', Math.min(Math.max(imgY0 + event.pageY - pageY0, $(this).height() - $(this).children('img').height()), 0));
				}
			});
			$('#edit_dec_image').click(function(event){
				offset = ($('#image_decouper img').position().left ? 'Left' + $('#image_decouper img').position().left : '') + ($('#image_decouper img').position().top ? 'Top' + $('#image_decouper img').position().top : '');
				if (offset !== '')
					$('#image-offset').val('src' + $('#image_decouper img').attr('src') + 'w' + $('#image_decouper').width() + offset);
				else return false;
			});
			
			//Choix de la page
			$('.choix div').click(function(){
				$('form fieldset').fadeOut(250).delay(250);
				$('fieldset:nth(' + ($(this).index()) + ')').fadeIn(250);
			});
			
			//Clic sur le nom de l'image
			$('#edit_image').click(function(){
				$('.choix div:nth-child(3)').trigger('click');
			});
			
			//Fermeture ou non de la partie image
			if ($('.choix .actif').length) {
				$('#edit_info').hide()
				setTimeout('$(window).scrollTop($(document).height() - $(window).height())', 1000);
			} else $('#edit_images').hide();
					
			//Charger un chant
			charger = function(){window.location = "edition?chant=" + $('#edit_code').val();}
			$('#edit_charger').click(charger);
			
			//Chargement avec Entrée
			$('#edit_code').keypress(function(e){
				if (e.keyCode == 13) {
					charger();
					return false;
				}
			});
			
			//Changement de l'écran en refrain
			texteRefrain = function(){
				style = $(this).val();
				if (style == 'refrain') {
					$(this).parents('.form > div').children('textarea').addClass('refrain');
					if ($(this).nextAll('select').val() == 'Str.')
						$(this).nextAll('select').val('Refr.');
				}
				else $(this).parents('.form > div').children('textarea').removeClass('refrain');
			}
			$('#edit_paroles select[name^="Style_"]').each(texteRefrain).change(texteRefrain);
			
			//Prévisualisation
			if ($('#editeur-numero').text() != "") {
				$('#code', window.opener.document).val($('#editeur-numero').text());
				$('#previsu', window.opener.document).trigger('click');
			}
			
		});
		</script>
	</body>
</html>
